import 'package:example/models/post_model.dart';
import 'package:flutter_simple_template_bloc/flutter_simple_template_bloc.dart';

abstract class ApiClient {
  final ApiService apiService;

  const ApiClient(this.apiService);

  Future<DataState<List<PostModel>>> getPost();

  Future<DataState<PostModel>> createPost(dynamic data);

  Future<DataState<PostModel>> updatePost(dynamic data);

  Future<DataState<PostModel>> deletePost();
}
