part of 'demo_bloc.dart';

class DemoState extends Equatable {
  final String message;
  final List<PostModel>? posts;

  const DemoState({
    this.message = '',
    this.posts,
  });

  @override
  List<Object?> get props => [
        message,
        posts,
      ];

  DemoState copyWith({
    String? message,
    List<PostModel>? posts,
  }) {
    return DemoState(
      message: message ?? this.message,
      posts: posts ?? this.posts,
    );
  }
}
